%global fontname terminus
%global fontconf 63-%{fontname}.conf

%global archivename terminus-font-%{version}


# This is the directory where we install our console fonts.
# Owned by the kbd package, which hardcodes it as /lib/kbd (without macros).
%global consolefontdir /lib/kbd/consolefonts

# Font catalog
%global catalog %{_sysconfdir}/X11/fontpath.d


%global common_desc \
The Terminus Font is designed for long (8 and more hours per day)\
work with computers.\
\
Version 4.30 contains 850 characters, covers about 120 language\
sets and supports ISO8859-1/2/5/7/9/13/15/16, Paratype-PT154/PT254,\
KOI8-R/U/E/F, Esperanto, many IBM, Windows and Macintosh code pages,\
as well as the IBM VGA, vt100 and xterm pseudographic characters.\
\
The sizes present are 6x12, 8x14, 8x16, 10x20, 11x22, 12x24, 14x28\
and 16x32. The styles are normal and bold (except for 6x12),\
plus EGA/VGA-bold for 8x14 and 8x16.\
\
The font is available for the Linux console and for X11.


Name:		%{fontname}-fonts
Version:	4.30
Release:	2%{?dist}
Summary:	Clean fixed width font

Group:		User Interface/X
License:	GPLv2+
URL:		http://terminus-font.sourceforge.net/
Source0:	http://downloads.sourceforge.net/terminus-font/%{archivename}.tar.gz
Source1:	%{name}-fontconfig.conf
Source10:	%{name}-console.README.fedora
Source20:	%{name}.README.fedora
Source21:	%{name}.Xresources.example
Patch11:	http://downloads.sourceforge.net/terminus-font/%{archivename}-dv1.diff.gz
Patch12:	http://downloads.sourceforge.net/terminus-font/%{archivename}-ge1.diff.gz
Patch13:	http://downloads.sourceforge.net/terminus-font/%{archivename}-ij1.diff.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildArch:	noarch
BuildRequires:	fontpackages-devel >= 1.18
Requires:	fontpackages-filesystem

Obsoletes:	terminus-font-x11 < 4.28-2

BuildRequires:	/usr/bin/bdftopcf
BuildRequires:	/usr/bin/mkfontdir

%description
%common_desc

This package contains the fonts to use with X11.


%package console
Requires:	kbd
Group:		User Interface/X
Summary:	Clean fixed width font (console version)
Obsoletes:	terminus-font-console < 4.28-2
License:	GPLv2+

%description console
%common_desc

This package contains the fonts to use with the Linux console.


%prep
%setup -q -n %{archivename}
%patch11 -p0 -b .dv1
%patch12 -p0 -b .ge1
%patch13 -p0 -b .ij1


%build
# The libdir is just to shut up rpmlint. Configure is nice enough to
# just ignore it.
./configure --prefix=%{_prefix} --libdir=%{_libdir} \
	--x11dir=%{_fontdir} --psfdir=%{consolefontdir}
env GZIP=--best make %{?_smp_mflags}

# Fedora specific docs and examples
mkdir -p docs/console docs/x11
cp -p "%{SOURCE10}" docs/console/README.fedora
cp -p "%{SOURCE20}" docs/x11/README.fedora
cp -p "%{SOURCE21}" docs/x11/Xresources.example


%install
rm -fr %{buildroot}

make DESTDIR="%{buildroot}" TESTDIR= install install-ref

install -m 0755 -d \
	%{buildroot}%{_fontconfig_templatedir} \
	%{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
	%{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s \
	%{_fontconfig_templatedir}/%{fontconf} \
	%{buildroot}%{_fontconfig_confdir}/%{fontconf}

# We cannot run mkfontdir in %%post because %%post is generated by %%_font_pkg
install -m 0755 -d %{buildroot}%{catalog}
ln -s %{_fontdir} %{buildroot}%{catalog}/%{fontname}:unscaled
/usr/bin/mkfontdir %{buildroot}%{_fontdir}


%clean
rm -fr %{buildroot}


%_font_pkg -f %{fontconf} ter-*.pcf.gz

%doc README README-BG
%doc docs/x11/README.fedora docs/x11/Xresources.example
%{catalog}/%{fontname}:unscaled
%{_fontdir}/fonts.dir


%files console
%defattr(0644,root,root,0755)
%doc README README-BG
%doc docs/console/README.fedora
%doc %{consolefontdir}/README.terminus
%{consolefontdir}/ter-112n.psf.gz
%{consolefontdir}/ter-114b.psf.gz
%{consolefontdir}/ter-114f.psf.gz
%{consolefontdir}/ter-114n.psf.gz
%{consolefontdir}/ter-116b.psf.gz
%{consolefontdir}/ter-116f.psf.gz
%{consolefontdir}/ter-116n.psf.gz
%{consolefontdir}/ter-120b.psf.gz
%{consolefontdir}/ter-120n.psf.gz
%{consolefontdir}/ter-122b.psf.gz
%{consolefontdir}/ter-122n.psf.gz
%{consolefontdir}/ter-124b.psf.gz
%{consolefontdir}/ter-124n.psf.gz
%{consolefontdir}/ter-128b.psf.gz
%{consolefontdir}/ter-128n.psf.gz
%{consolefontdir}/ter-132b.psf.gz
%{consolefontdir}/ter-132n.psf.gz
%{consolefontdir}/ter-212n.psf.gz
%{consolefontdir}/ter-214b.psf.gz
%{consolefontdir}/ter-214f.psf.gz
%{consolefontdir}/ter-214n.psf.gz
%{consolefontdir}/ter-216b.psf.gz
%{consolefontdir}/ter-216f.psf.gz
%{consolefontdir}/ter-216n.psf.gz
%{consolefontdir}/ter-220b.psf.gz
%{consolefontdir}/ter-220n.psf.gz
%{consolefontdir}/ter-222b.psf.gz
%{consolefontdir}/ter-222n.psf.gz
%{consolefontdir}/ter-224b.psf.gz
%{consolefontdir}/ter-224n.psf.gz
%{consolefontdir}/ter-228b.psf.gz
%{consolefontdir}/ter-228n.psf.gz
%{consolefontdir}/ter-232b.psf.gz
%{consolefontdir}/ter-232n.psf.gz
%{consolefontdir}/ter-712n.psf.gz
%{consolefontdir}/ter-714b.psf.gz
%{consolefontdir}/ter-714f.psf.gz
%{consolefontdir}/ter-714n.psf.gz
%{consolefontdir}/ter-716b.psf.gz
%{consolefontdir}/ter-716f.psf.gz
%{consolefontdir}/ter-716n.psf.gz
%{consolefontdir}/ter-720b.psf.gz
%{consolefontdir}/ter-720n.psf.gz
%{consolefontdir}/ter-722b.psf.gz
%{consolefontdir}/ter-722n.psf.gz
%{consolefontdir}/ter-724b.psf.gz
%{consolefontdir}/ter-724n.psf.gz
%{consolefontdir}/ter-728b.psf.gz
%{consolefontdir}/ter-728n.psf.gz
%{consolefontdir}/ter-732b.psf.gz
%{consolefontdir}/ter-732n.psf.gz
%{consolefontdir}/ter-912n.psf.gz
%{consolefontdir}/ter-914b.psf.gz
%{consolefontdir}/ter-914f.psf.gz
%{consolefontdir}/ter-914n.psf.gz
%{consolefontdir}/ter-916b.psf.gz
%{consolefontdir}/ter-916f.psf.gz
%{consolefontdir}/ter-916n.psf.gz
%{consolefontdir}/ter-920b.psf.gz
%{consolefontdir}/ter-920n.psf.gz
%{consolefontdir}/ter-922b.psf.gz
%{consolefontdir}/ter-922n.psf.gz
%{consolefontdir}/ter-924b.psf.gz
%{consolefontdir}/ter-924n.psf.gz
%{consolefontdir}/ter-928b.psf.gz
%{consolefontdir}/ter-928n.psf.gz
%{consolefontdir}/ter-932b.psf.gz
%{consolefontdir}/ter-932n.psf.gz
%{consolefontdir}/ter-c12n.psf.gz
%{consolefontdir}/ter-c14b.psf.gz
%{consolefontdir}/ter-c14f.psf.gz
%{consolefontdir}/ter-c14n.psf.gz
%{consolefontdir}/ter-c16b.psf.gz
%{consolefontdir}/ter-c16f.psf.gz
%{consolefontdir}/ter-c16n.psf.gz
%{consolefontdir}/ter-c20b.psf.gz
%{consolefontdir}/ter-c20n.psf.gz
%{consolefontdir}/ter-c22b.psf.gz
%{consolefontdir}/ter-c22n.psf.gz
%{consolefontdir}/ter-c24b.psf.gz
%{consolefontdir}/ter-c24n.psf.gz
%{consolefontdir}/ter-c28b.psf.gz
%{consolefontdir}/ter-c28n.psf.gz
%{consolefontdir}/ter-c32b.psf.gz
%{consolefontdir}/ter-c32n.psf.gz
%{consolefontdir}/ter-d12n.psf.gz
%{consolefontdir}/ter-d14b.psf.gz
%{consolefontdir}/ter-d14f.psf.gz
%{consolefontdir}/ter-d14n.psf.gz
%{consolefontdir}/ter-d16b.psf.gz
%{consolefontdir}/ter-d16f.psf.gz
%{consolefontdir}/ter-d16n.psf.gz
%{consolefontdir}/ter-d20b.psf.gz
%{consolefontdir}/ter-d20n.psf.gz
%{consolefontdir}/ter-d22b.psf.gz
%{consolefontdir}/ter-d22n.psf.gz
%{consolefontdir}/ter-d24b.psf.gz
%{consolefontdir}/ter-d24n.psf.gz
%{consolefontdir}/ter-d28b.psf.gz
%{consolefontdir}/ter-d28n.psf.gz
%{consolefontdir}/ter-d32b.psf.gz
%{consolefontdir}/ter-d32n.psf.gz
%{consolefontdir}/ter-g12n.psf.gz
%{consolefontdir}/ter-g14b.psf.gz
%{consolefontdir}/ter-g14f.psf.gz
%{consolefontdir}/ter-g14n.psf.gz
%{consolefontdir}/ter-g16b.psf.gz
%{consolefontdir}/ter-g16f.psf.gz
%{consolefontdir}/ter-g16n.psf.gz
%{consolefontdir}/ter-g20b.psf.gz
%{consolefontdir}/ter-g20n.psf.gz
%{consolefontdir}/ter-g22b.psf.gz
%{consolefontdir}/ter-g22n.psf.gz
%{consolefontdir}/ter-g24b.psf.gz
%{consolefontdir}/ter-g24n.psf.gz
%{consolefontdir}/ter-g28b.psf.gz
%{consolefontdir}/ter-g28n.psf.gz
%{consolefontdir}/ter-g32b.psf.gz
%{consolefontdir}/ter-g32n.psf.gz
%{consolefontdir}/ter-i12n.psf.gz
%{consolefontdir}/ter-i14b.psf.gz
%{consolefontdir}/ter-i14f.psf.gz
%{consolefontdir}/ter-i14n.psf.gz
%{consolefontdir}/ter-i16b.psf.gz
%{consolefontdir}/ter-i16f.psf.gz
%{consolefontdir}/ter-i16n.psf.gz
%{consolefontdir}/ter-i20b.psf.gz
%{consolefontdir}/ter-i20n.psf.gz
%{consolefontdir}/ter-i22b.psf.gz
%{consolefontdir}/ter-i22n.psf.gz
%{consolefontdir}/ter-i24b.psf.gz
%{consolefontdir}/ter-i24n.psf.gz
%{consolefontdir}/ter-i28b.psf.gz
%{consolefontdir}/ter-i28n.psf.gz
%{consolefontdir}/ter-i32b.psf.gz
%{consolefontdir}/ter-i32n.psf.gz
%{consolefontdir}/ter-k12n.psf.gz
%{consolefontdir}/ter-k14b.psf.gz
%{consolefontdir}/ter-k14f.psf.gz
%{consolefontdir}/ter-k14n.psf.gz
%{consolefontdir}/ter-k16b.psf.gz
%{consolefontdir}/ter-k16f.psf.gz
%{consolefontdir}/ter-k16n.psf.gz
%{consolefontdir}/ter-k20b.psf.gz
%{consolefontdir}/ter-k20n.psf.gz
%{consolefontdir}/ter-k22b.psf.gz
%{consolefontdir}/ter-k22n.psf.gz
%{consolefontdir}/ter-k24b.psf.gz
%{consolefontdir}/ter-k24n.psf.gz
%{consolefontdir}/ter-k28b.psf.gz
%{consolefontdir}/ter-k28n.psf.gz
%{consolefontdir}/ter-k32b.psf.gz
%{consolefontdir}/ter-k32n.psf.gz
%{consolefontdir}/ter-m12n.psf.gz
%{consolefontdir}/ter-m14b.psf.gz
%{consolefontdir}/ter-m14f.psf.gz
%{consolefontdir}/ter-m14n.psf.gz
%{consolefontdir}/ter-m16b.psf.gz
%{consolefontdir}/ter-m16f.psf.gz
%{consolefontdir}/ter-m16n.psf.gz
%{consolefontdir}/ter-m20b.psf.gz
%{consolefontdir}/ter-m20n.psf.gz
%{consolefontdir}/ter-m22b.psf.gz
%{consolefontdir}/ter-m22n.psf.gz
%{consolefontdir}/ter-m24b.psf.gz
%{consolefontdir}/ter-m24n.psf.gz
%{consolefontdir}/ter-m28b.psf.gz
%{consolefontdir}/ter-m28n.psf.gz
%{consolefontdir}/ter-m32b.psf.gz
%{consolefontdir}/ter-m32n.psf.gz
%{consolefontdir}/ter-p12n.psf.gz
%{consolefontdir}/ter-p14b.psf.gz
%{consolefontdir}/ter-p14f.psf.gz
%{consolefontdir}/ter-p14n.psf.gz
%{consolefontdir}/ter-p16b.psf.gz
%{consolefontdir}/ter-p16f.psf.gz
%{consolefontdir}/ter-p16n.psf.gz
%{consolefontdir}/ter-p20b.psf.gz
%{consolefontdir}/ter-p20n.psf.gz
%{consolefontdir}/ter-p22b.psf.gz
%{consolefontdir}/ter-p22n.psf.gz
%{consolefontdir}/ter-p24b.psf.gz
%{consolefontdir}/ter-p24n.psf.gz
%{consolefontdir}/ter-p28b.psf.gz
%{consolefontdir}/ter-p28n.psf.gz
%{consolefontdir}/ter-p32b.psf.gz
%{consolefontdir}/ter-p32n.psf.gz
%{consolefontdir}/ter-u12n.psf.gz
%{consolefontdir}/ter-u14b.psf.gz
%{consolefontdir}/ter-u14f.psf.gz
%{consolefontdir}/ter-u14n.psf.gz
%{consolefontdir}/ter-u16b.psf.gz
%{consolefontdir}/ter-u16f.psf.gz
%{consolefontdir}/ter-u16n.psf.gz
%{consolefontdir}/ter-u20b.psf.gz
%{consolefontdir}/ter-u20n.psf.gz
%{consolefontdir}/ter-u22b.psf.gz
%{consolefontdir}/ter-u22n.psf.gz
%{consolefontdir}/ter-u24b.psf.gz
%{consolefontdir}/ter-u24n.psf.gz
%{consolefontdir}/ter-u28b.psf.gz
%{consolefontdir}/ter-u28n.psf.gz
%{consolefontdir}/ter-u32b.psf.gz
%{consolefontdir}/ter-u32n.psf.gz
%{consolefontdir}/ter-v12n.psf.gz
%{consolefontdir}/ter-v14b.psf.gz
%{consolefontdir}/ter-v14f.psf.gz
%{consolefontdir}/ter-v14n.psf.gz
%{consolefontdir}/ter-v16b.psf.gz
%{consolefontdir}/ter-v16f.psf.gz
%{consolefontdir}/ter-v16n.psf.gz
%{consolefontdir}/ter-v20b.psf.gz
%{consolefontdir}/ter-v20n.psf.gz
%{consolefontdir}/ter-v22b.psf.gz
%{consolefontdir}/ter-v22n.psf.gz
%{consolefontdir}/ter-v24b.psf.gz
%{consolefontdir}/ter-v24n.psf.gz
%{consolefontdir}/ter-v28b.psf.gz
%{consolefontdir}/ter-v28n.psf.gz
%{consolefontdir}/ter-v32b.psf.gz
%{consolefontdir}/ter-v32n.psf.gz


%changelog
* Fri Jul 16 2010 Hans Ulrich Niedermann <hun@n-dimensional.de> - 4.30-2
- Added License tag to -console subpackage.
- Added note about rebuilding initramfs after changing /etc/sysconfig/i18n.
- Changed URL, SourceN, PatchN to use new location at sourceforge.net.

* Fri Dec  4 2009 Hans Ulrich Niedermann <hun@n-dimensional.de> - 4.30-1
- update to 4.30 release:
  - new size 22 (not very good)
  - 25 additional characters
  - various small fixes

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.28-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Mar 25 2009 Hans Ulrich Niedermann <hun@n-dimensional.de> - 4.28-8
- Rebuild for Fedora 11 to pick up font autodeps (#491973)

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.28-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 20 2009 Hans Ulrich Niedermann <hun@n-dimensional.de> - 4.28-6
- fix fontpackages-devel requirement to >= 1.18 (for _fontdir ownership)

* Fri Feb 20 2009 Hans Ulrich Niedermann <hun@n-dimensional.de> - 4.28-5
- Add information to the fontconfig file
- no need to %%dir %%{_fontdir} in fontpackages-devel >= 1.20
- Use %%{_sysconfdir} instead of /etc
- Change all %%define instances to %%global
- Drop filesystem requirement for F-10 and later
- Use macro for common parts of descriptions
- Remove unneeded Provides:
- drop unnecessary comment

* Thu Feb 19 2009 Hans Ulrich Niedermann <hun@n-dimensional.de> - 4.28-4
- change catalog(ue) spelling to US English
- remove unnecessary macro definition of %%tarname
- properly define consolefontdir (no macros)

* Thu Feb 19 2009 Hans Ulrich Niedermann <hun@n-dimensional.de> - 4.28-3
- generate fonts.dir at build time (bug 483589)

* Wed Feb 18 2009 Hans Ulrich Niedermann <hun@n-dimensional.de> - 4.28-2
- initial package for new Fedora Font Policy
